View Issue Details

IDProjectCategoryView StatusLast Update
13784Bug reports[All Projects] Import/Exportpublic2018-06-27 15:29
ReporterlearnerdqAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.5.x 
Target VersionFixed in Version3.12.x 
Summary13784: Wrong language label for Other option when exporting with queXML PDF export
Description

In multiple language survey, e.g. an English and German survey, German label is used for Other option of multiple choice question. This issue occurs when exporting survey with "queXML PDF export" feature with German selection.

Steps To Reproduce

Pre-condition: a survey with English and German languages

  1. Create a multiple choice question
  2. Turn On Option 'Other'
  3. Enter English and German labels at:
    3.1. Label for 'Other:' option (en)
    3.2. Label for 'Other:' option (de)
  4. Export survey with queXML PDF export. Choose Language selection = German.
    Observed: English label is used.
    Expected: German label is used.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.3
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionAny
Server OS (if known)Any
Webserver software & version (if known)Any
PHP VersionAny

Activities

learnerdq

learnerdq

2018-06-15 16:52

reporter  

label.png (33,588 bytes)
label.png (33,588 bytes)
guest

guest

2018-06-26 17:52

viewer   ~48302

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27541

dominikvitt

dominikvitt

2018-06-26 17:53

developer   ~48303

This issue is fixed.

c_schmitz

c_schmitz

2018-06-27 15:29

administrator   ~48329

Version 3.12.3+180627 released

Related Changesets

LimeSurvey: master 3b1abdca

2018-06-26 17:51:34

Dominik Vitt

Details Diff
Fixed issue 13784: Wrong language label for Other option when exporting with queXML PDF export Affected Issues
13784
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-06-15 16:52 learnerdq New Issue
2018-06-15 16:52 learnerdq File Added: label.png
2018-06-25 10:25 LouisGac Assigned To => dominikvitt
2018-06-25 10:25 LouisGac Status new => assigned
2018-06-26 17:52 Changeset attached => LimeSurvey master 3b1abdca
2018-06-26 17:52 guest Note Added: 48302
2018-06-26 17:52 guest Resolution open => fixed
2018-06-26 17:53 dominikvitt Status assigned => resolved
2018-06-26 17:53 dominikvitt Fixed in Version => 3.12.x
2018-06-26 17:53 dominikvitt Note Added: 48303
2018-06-27 15:29 c_schmitz Note Added: 48329
2018-06-27 15:29 c_schmitz Status resolved => closed